"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class BamHeaderOther(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "PIPELINE_ID",
        "PIPELINE_VERSION",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_2_1 import metrics as metrics_1_2_0

        return {
            "org.gel.models.report.avro.BamHeaderOther": metrics_1_2_0.BamHeaderOther,
        }

    __slots__ = [
        "PIPELINE_ID",
        "PIPELINE_VERSION",
    ]

    def __init__(
        self,
        PIPELINE_ID,
        PIPELINE_VERSION,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_0.BamHeaderOther model.

        :param PIPELINE_ID:
        :type PIPELINE_ID: str
        :param PIPELINE_VERSION:
        :type PIPELINE_VERSION: str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.0"
